org.apache.felix.scrplugin.xml

## Class ComponentDescriptorIO.XmlHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.felix.scrplugin.xml.ComponentDescriptorIO.XmlHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Enclosing class:
  ComponentDescriptorIO

    protected static final class ComponentDescriptorIO.XmlHandler
    extends DefaultHandler

A content handler for parsing the component descriptions.

### Constructor Summary

Constructors
Constructor and Description
`XmlHandler(ClassLoader classLoader, IssueLog iLog, String loc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `characters(char[] ch, int start, int length)`
`void` `endElement(String uri, String localName, String name)`
`void` `startElement(String uri, String localName, String name, Attributes attributes)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlHandler

    public XmlHandler(ClassLoader classLoader,
                      IssueLog iLog,
                      String loc)

### Method Detail

#### startElement

    public void startElement(String uri,
                             String localName,
                             String name,
                             Attributes attributes)
                      throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`
Throws:
  `SAXException`
See Also:
  `DefaultHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

#### endElement

    public void endElement(String uri,
                           String localName,
                           String name)
                    throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`
Throws:
  `SAXException`
See Also:
  `DefaultHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`

#### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

Specified by:
  `characters` in interface `ContentHandler`
Overrides:
  `characters` in class `DefaultHandler`
Throws:
  `SAXException`
See Also:
  `DefaultHandler.characters(char[], int, int)`